// FileWatchDlg.cpp : implementation file
//

#include "stdafx.h"
#include "filewatchapp.h"
#include "FileWatchDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif




/////////////////////////////////////////////////////////////////////////////
// CFileWatchDlg dialog


CFileWatchDlg::CFileWatchDlg(LPCTSTR lpszText, BOOL* pAutoReload, BOOL* pAutoReload2, CWnd* pParent /*=NULL*/)
	: CDialog(CFileWatchDlg::IDD, pParent)
{
	m_lpszText = lpszText;
	//{{AFX_DATA_INIT(CFileWatchDlg)
	m_pbAutoReload = pAutoReload;
	m_pbAutoReload2 = pAutoReload2;
	//}}AFX_DATA_INIT
}


void CFileWatchDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFileWatchDlg)
	//}}AFX_DATA_MAP
	DDX_Check(pDX, IDC_CHECK1, *m_pbAutoReload);
	DDX_Check(pDX, IDC_CHECK2, *m_pbAutoReload2);
}


BEGIN_MESSAGE_MAP(CFileWatchDlg, CDialog)
	//{{AFX_MSG_MAP(CFileWatchDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFileWatchDlg message handlers

BOOL CFileWatchDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	TCHAR szAppName[_MAX_PATH];
	LPCTSTR pszAppName;
	if (this != NULL)
		pszAppName = AfxGetApp()->m_pszAppName;
	else
	{
		pszAppName = szAppName;
		GetModuleFileName(NULL, szAppName, _MAX_PATH);
	}
	SetWindowText(pszAppName);

	GetDlgItem(IDC_STATIC1)->SetWindowText(m_lpszText);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
